# New ports collection makefile for:    JuK
# Date created:                         Saturday 7 December 2002
# Whom:                                 Lauri Watts <lauri@kde.org>
#
# $FreeBSD: ports/audio/juk/Makefile,v 1.1 2003/03/03 16:46:40 lioux Exp $
#

PORTNAME=	juk
PORTVERSION=	1.0
CATEGORIES=	audio kde
MASTER_SITES=	http://www.slackorama.net/oss/juk/
DISTNAME=	${PORTNAME}-${PORTVERSION}-1

MAINTAINER=	kde@FreeBSD.org
COMMENT=	JuK, a music manager and jukebox for KDE

LIB_DEPENDS=	id3-3.8.2:${PORTSDIR}/audio/id3lib
RUN_DEPENDS=	${LOCALBASE}/lib/kde3/kfile_mp3.so:${PORTSDIR}/multimedia/kdemultimedia3 \
		${LOCALBASE}/lib/kde3/kfile_ogg.so:${PORTSDIR}/multimedia/kdemultimedia3

USE_KDELIBS_VER=3
USE_GMAKE=	yes
GNU_CONFIGURE=	yes
CONFIGURE_ARGS=	--program-transform-name=''
WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}

.include <bsd.port.mk>
